Bug 245703 - pyexpat.so embeds static copy of expat
Summary: pyexpat.so embeds static copy of expat
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: James Antill
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 216170 F8Blocker
TreeView+ depends on / blocked
 
Reported: 2007-06-26 07:27 UTC by Joe Orton
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 15:08:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2007-06-26 07:27:01 UTC
Description of problem:
pyexpat.so embeds a statically linked copy of libexpat - this should either be:

1) fixed to use the system libexpat, or
2) fixed to not pollute the global namespace

Clashes for /usr/lib64/python2.4/lib-dynload/pyexpat.so:
  with /lib64/libexpat.so.0.5.0 => XML_Parse XML_SetExternalEntityRefHandler
(...75 symbols omitted...) XML_ParserCreate

Comment 1 Jeremy Katz 2007-06-26 23:22:31 UTC
Fixed for 2.5.1-3 to use system expat

Comment 2 Bill Nottingham 2007-06-27 14:05:38 UTC
This fix is broken. python no longer properly builds elementree; this breaks all
sorts of things.

Comment 3 Jeremy Katz 2007-06-27 15:08:34 UTC
Ugh.  How nice of the build to continue even when things fail to build.  Fixed
and added something to help avoid that in the future


Note You need to log in before you can comment on or make changes to this bug.